Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/inc_cpl.h
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/inc_cpl.h	(revision 393)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/inc_cpl.h	(revision 394)
@@ -17,5 +17,5 @@
       PARAMETER (jpread=0, jpwrit=1)
       CHARACTER*8 cl_writ(jpmaxfld), cl_read(jpmaxfld)
-      CHARACTER*6 cl_f_writ(jpmaxfld), cl_f_read(jpmaxfld)
+      CHARACTER*8 cl_f_writ(jpmaxfld), cl_f_read(jpmaxfld)
       COMMON / comcpl / cl_writ, cl_read, cl_f_writ, cl_f_read
 !     -------------------------------------------------------------------
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 393)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 394)
@@ -1151,4 +1151,5 @@
   REAL, DIMENSION(iim, jjm+1) :: wri_evap_sea, wri_rcoa, wri_rriv
   REAL, DIMENSION(iim, jjm+1) :: wri_rain, wri_snow, wri_taux, wri_tauy
+  REAL, DIMENSION(iim, jjm+1) :: wri_calv
   REAL, DIMENSION(iim, jjm+1) :: wri_tauxx, wri_tauyy, wri_tauzz
   REAL, DIMENSION(iim, jjm+1) :: tmp_lon, tmp_lat
@@ -1506,7 +1507,7 @@
 ! pour simuler la fonte des glaciers antarctiques
 !
-        wri_rain = wri_rain      &
-      &     + coeff_iceberg * cte_flux_iceberg / (num_antarctic * surf_maille)
-
+!$$$        wri_rain = wri_rain      &
+!$$$      &     + coeff_iceberg * cte_flux_iceberg / (num_antarctic * surf_maille)
+      wri_calv = coeff_iceberg * cte_flux_iceberg / (num_antarctic * surf_maille)
 !
 ! on passe les coordonnées de la grille
@@ -1549,10 +1550,11 @@
       CALL histwrite(nidct,cl_writ(10),itau_w,wri_rcoa,iim*(jjm+1),ndexct)
       CALL histwrite(nidct,cl_writ(11),itau_w,wri_rriv,iim*(jjm+1),ndexct)
-      CALL histwrite(nidct,cl_writ(12),itau_w,wri_tauxx,iim*(jjm+1),ndexct)
-      CALL histwrite(nidct,cl_writ(13),itau_w,wri_tauyy,iim*(jjm+1),ndexct)
-      CALL histwrite(nidct,cl_writ(14),itau_w,wri_tauzz,iim*(jjm+1),ndexct)
-      CALL histwrite(nidct,cl_writ(15),itau_w,wri_tauxx,iim*(jjm+1),ndexct)
-      CALL histwrite(nidct,cl_writ(16),itau_w,wri_tauyy,iim*(jjm+1),ndexct)
-      CALL histwrite(nidct,cl_writ(17),itau_w,wri_tauzz,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(12),itau_w,wri_calv,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(13),itau_w,wri_tauxx,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(14),itau_w,wri_tauyy,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(15),itau_w,wri_tauzz,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(16),itau_w,wri_tauxx,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(17),itau_w,wri_tauyy,iim*(jjm+1),ndexct)
+      CALL histwrite(nidct,cl_writ(18),itau_w,wri_tauzz,iim*(jjm+1),ndexct)
       CALL histsync(nidct)
 ! pas utile      IF (lafin) CALL histclo(nidct)
@@ -1560,6 +1562,6 @@
       call intocpl(itime, (jjm+1)*iim, wri_sol_ice, wri_sol_sea, wri_nsol_ice,&
       & wri_nsol_sea, wri_fder_ice, wri_evap_ice, wri_evap_sea, wri_rain, &
-      & wri_snow, wri_rcoa, wri_rriv, wri_tauxx, wri_tauyy, wri_tauzz, &
-      & wri_tauxx, wri_tauyy, wri_tauzz,lafin )
+      & wri_snow, wri_rcoa, wri_rriv, wri_calv, wri_tauxx, wri_tauyy,     &
+      & wri_tauzz, wri_tauxx, wri_tauyy, wri_tauzz,lafin )
 ! 
       cpl_sols = 0.; cpl_nsol = 0.; cpl_rain = 0.; cpl_snow = 0.
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 393)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 394)
@@ -80,14 +80,15 @@
       cl_writ(10)='CORUNCOA'
       cl_writ(11)='CORIVFLU'
-c$$$      cl_writ(12)='COZOTAUX'
-c$$$      cl_writ(13)='COZOTAUV'
-c$$$      cl_writ(14)='COMETAUY'
-c$$$      cl_writ(15)='COMETAUU'
-      cl_writ(12)='COTAUXXU'
-      cl_writ(13)='COTAUYYU'
-      cl_writ(14)='COTAUZZU'
-      cl_writ(15)='COTAUXXV'
-      cl_writ(16)='COTAUYYV'
-      cl_writ(17)='COTAUZZV'
+      cl_writ(12)='COCALVIN'
+c$$$      cl_writ(13)='COZOTAUX'
+c$$$      cl_writ(14)='COZOTAUV'
+c$$$      cl_writ(15)='COMETAUY'
+c$$$      cl_writ(16)='COMETAUU'
+      cl_writ(13)='COTAUXXU'
+      cl_writ(14)='COTAUYYU'
+      cl_writ(15)='COTAUZZU'
+      cl_writ(16)='COTAUXXV'
+      cl_writ(17)='COTAUYYV'
+      cl_writ(18)='COTAUZZV'
 c
 c     Define files name for fields exchanged from atmos to coupler,
@@ -111,4 +112,5 @@
       cl_f_writ(16)='flxatmos'
       cl_f_writ(17)='flxatmos'
+      cl_f_writ(18)='flxatmos'
 
 c
@@ -199,4 +201,6 @@
             CALL CLIM_Define (cl_read(jf), clim_in , clim_double, iparal
      $          , info )  
+            WRITE(nuout,*) 'inicma : clim define done for ',jf
+     $          ,cl_read(jf) 
           END DO 
 c
@@ -206,4 +210,6 @@
             CALL CLIM_Define (cl_writ(jf), clim_out , clim_double,
      $          iparal, info )   
+            WRITE(nuout,*) 'inicma : clim define done for ',jf
+     $          ,cl_writ(jf) 
           END DO 
 c
@@ -301,6 +307,7 @@
 c $Id$
       SUBROUTINE intocpl(kt, imjm, fsolice, fsolwat, fnsolice, fnsolwat,
-     $    fnsicedt, evice, evwat, lpre, spre, dirunoff, rivrunoff,
-     $    tauxx_u, tauyy_u, tauzz_u, tauxx_v, tauyy_v, tauzz_v,last) 
+     $    fnsicedt, evice, evwat, lpre, spre, dirunoff, rivrunoff, 
+     $    calving, tauxx_u, tauyy_u, tauzz_u, tauxx_v, tauyy_v, tauzz_v
+     $    , last) 
 c ======================================================================
 c S. Valcke (02/99) adapted From L.Z.X Li: this subroutine provides the 
@@ -323,4 +330,5 @@
       REAL dirunoff(imjm)
       REAL rivrunoff(imjm)
+      REAL calving(imjm)
 c$$$      REAL tauxu(imjm)
 c$$$      REAL tauxv(imjm)
@@ -356,5 +364,6 @@
       WRITE(nuout,*) ' '
       WRITE(nuout,*) 'Intocpl: sending fields to CPL, kt= ', kt
-      WRITE(nuout,*) ' '
+      WRITE(nuout,*) 'last  ', last
+      WRITE(nuout,*)
 
       IF (last) THEN 
@@ -404,4 +413,7 @@
           DO jn=1, max_file 
             OPEN (file_unit(jn), FILE=file_name(jn), FORM='UNFORMATTED')
+            WRITE(*,*) 'Opening FILE ', file_unit(jn), ' '
+     $          , file_name(jn) 
+            REWIND(file_unit(jn))
           END DO
 c 
@@ -410,66 +422,69 @@
             IF (jf.eq.1)
      $          CALL locwrite(cl_writ(jf),fsolice, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.2)
      $          CALL locwrite(cl_writ(jf),fsolwat, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.3)
      $          CALL locwrite(cl_writ(jf),fnsolice, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.4)
      $          CALL locwrite(cl_writ(jf),fnsolwat, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.5)
      $          CALL locwrite(cl_writ(jf),fnsicedt, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
 c            IF (jf.eq.6)
 c     $          CALL locwrite(cl_writ(jf),ictemp, imjm,
-c     $          file_unit_field(jf), ierror, nuout) 
+c     $          file_unit_field(jf), ierror) 
             IF (jf.eq.6)
      $          CALL locwrite(cl_writ(jf),evice, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.7)
      $          CALL locwrite(cl_writ(jf),evwat, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.8)
      $          CALL locwrite(cl_writ(jf),lpre, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.9)
      $          CALL locwrite(cl_writ(jf),spre, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.10)
      $          CALL locwrite(cl_writ(jf),dirunoff, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
+     $          file_unit_field(jf), ierror) 
             IF (jf.eq.11)
      $          CALL locwrite(cl_writ(jf),rivrunoff, imjm,
-     $          file_unit_field(jf), ierror, nuout) 
-c$$$            IF (jf.eq.12)
+     $          file_unit_field(jf), ierror) 
+            IF (jf.eq.12)
+     $          CALL locwrite(cl_writ(jf),calving, imjm,
+     $          file_unit_field(jf), ierror) 
+c$$$            IF (jf.eq.13)
 c$$$     $          CALL locwrite(cl_writ(jf),tauxu, imjm,
-c$$$     $          file_unit_field(jf),ierror, nuout) 
-c$$$            IF (jf.eq.13)
+c$$$     $          file_unit_field(jf),ierror) 
+c$$$            IF (jf.eq.1')
 c$$$     $          CALL locwrite(cl_writ(jf),tauxv, imjm,
-c$$$     $          file_unit_field(jf),ierror, nuout) 
-c$$$            IF (jf.eq.14)
+c$$$     $          file_unit_field(jf),ierror) 
+c$$$            IF (jf.eq.15)
 c$$$     $          CALL locwrite(cl_writ(jf),tauyv, imjm,
-c$$$     $          file_unit_field(jf),ierror, nuout) 
-c$$$            IF (jf.eq.15)
+c$$$     $          file_unit_field(jf),ierror) 
+c$$$            IF (jf.eq.16)
 c$$$     $          CALL locwrite(cl_writ(jf),tauyu, imjm,
-c$$$     $          file_unit_field(jf), ierror, nuout) 
-            IF (jf.eq.12)
+c$$$     $          file_unit_field(jf), ierror) 
+            IF (jf.eq.13)
      $          CALL locwrite(cl_writ(jf),tauxx_u, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.13)
+            IF (jf.eq.14)
      $          CALL locwrite(cl_writ(jf),tauyy_u, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.14)
+            IF (jf.eq.15)
      $          CALL locwrite(cl_writ(jf),tauzz_u, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.15)
+            IF (jf.eq.16)
      $          CALL locwrite(cl_writ(jf),tauxx_v, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.16)
+            IF (jf.eq.17)
      $          CALL locwrite(cl_writ(jf),tauyy_v, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.17)
+            IF (jf.eq.18)
      $          CALL locwrite(cl_writ(jf),tauzz_v, imjm,
      $          file_unit_field(jf),ierror)
@@ -515,14 +530,15 @@
           IF (jn.eq.10) CALL CLIM_Export(cl_writ(jn),kt,dirunoff, info)
           IF (jn.eq.11) CALL CLIM_Export(cl_writ(jn),kt,rivrunoff,info)
-c$$$          IF (jn.eq.12) CALL CLIM_Export(cl_writ(jn), kt, tauxu, info)
-c$$$          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauxv, info)
-c$$$          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauyv, info)
-c$$$          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauyu, info)
-          IF (jn.eq.12) CALL CLIM_Export(cl_writ(jn), kt, tauxx_u, info)
-          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauyy_u, info)
-          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauzz_u, info)
-          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauxx_v, info)
-          IF (jn.eq.16) CALL CLIM_Export(cl_writ(jn), kt, tauyy_v, info)
-          IF (jn.eq.17) CALL CLIM_Export(cl_writ(jn), kt, tauzz_v, info)
+          IF (jn.eq.12) CALL CLIM_Export(cl_writ(jn),kt,calving,info)
+c$$$          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauxu, info)
+c$$$          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauxv, info)
+c$$$          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauyv, info)
+c$$$          IF (jn.eq.16) CALL CLIM_Export(cl_writ(jn), kt, tauyu, info)
+          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauxx_u, info)
+          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauyy_u, info)
+          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauzz_u, info)
+          IF (jn.eq.16) CALL CLIM_Export(cl_writ(jn), kt, tauxx_v, info)
+          IF (jn.eq.17) CALL CLIM_Export(cl_writ(jn), kt, tauyy_v, info)
+          IF (jn.eq.18) CALL CLIM_Export(cl_writ(jn), kt, tauzz_v, info)
           
             IF (info .NE. CLIM_Ok) THEN
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.true
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.true	(revision 393)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.true	(revision 394)
@@ -80,14 +80,15 @@
       cl_writ(10)='CORUNCOA'
       cl_writ(11)='CORIVFLU'
-c$$$      cl_writ(12)='COZOTAUX'
-c$$$      cl_writ(13)='COZOTAUV'
-c$$$      cl_writ(14)='COMETAUY'
-c$$$      cl_writ(15)='COMETAUU'
-      cl_writ(12)='COTAUXXU'
-      cl_writ(13)='COTAUYYU'
-      cl_writ(14)='COTAUZZU'
-      cl_writ(15)='COTAUXXV'
-      cl_writ(16)='COTAUYYV'
-      cl_writ(17)='COTAUZZV'
+      cl_writ(12)='COCALVIN'
+c$$$      cl_writ(13)='COZOTAUX'
+c$$$      cl_writ(14)='COZOTAUV'
+c$$$      cl_writ(15)='COMETAUY'
+c$$$      cl_writ(16)='COMETAUU'
+      cl_writ(13)='COTAUXXU'
+      cl_writ(14)='COTAUYYU'
+      cl_writ(15)='COTAUZZU'
+      cl_writ(16)='COTAUXXV'
+      cl_writ(17)='COTAUYYV'
+      cl_writ(18)='COTAUZZV'
 c
 c     Define files name for fields exchanged from atmos to coupler,
@@ -111,4 +112,5 @@
       cl_f_writ(16)='flxatmos'
       cl_f_writ(17)='flxatmos'
+      cl_f_writ(18)='flxatmos'
 
 c
@@ -305,6 +307,7 @@
 c $Id$
       SUBROUTINE intocpl(kt, imjm, fsolice, fsolwat, fnsolice, fnsolwat,
-     $    fnsicedt, evice, evwat, lpre, spre, dirunoff, rivrunoff,
-     $    tauxx_u, tauyy_u, tauzz_u, tauxx_v, tauyy_v, tauzz_v,last) 
+     $    fnsicedt, evice, evwat, lpre, spre, dirunoff, rivrunoff, 
+     $    calving, tauxx_u, tauyy_u, tauzz_u, tauxx_v, tauyy_v, tauzz_v
+     $    , last) 
 c ======================================================================
 c S. Valcke (02/99) adapted From L.Z.X Li: this subroutine provides the 
@@ -327,4 +330,5 @@
       REAL dirunoff(imjm)
       REAL rivrunoff(imjm)
+      REAL calving(imjm)
 c$$$      REAL tauxu(imjm)
 c$$$      REAL tauxv(imjm)
@@ -360,5 +364,6 @@
       WRITE(nuout,*) ' '
       WRITE(nuout,*) 'Intocpl: sending fields to CPL, kt= ', kt
-      WRITE(nuout,*) ' '
+      WRITE(nuout,*) 'last  ', last
+      WRITE(nuout,*)
 
       IF (last) THEN 
@@ -408,4 +413,7 @@
           DO jn=1, max_file 
             OPEN (file_unit(jn), FILE=file_name(jn), FORM='UNFORMATTED')
+            WRITE(*,*) 'Opening FILE ', file_unit(jn), ' '
+     $          , file_name(jn) 
+            REWIND(file_unit(jn))
           END DO
 c 
@@ -448,32 +456,35 @@
      $          CALL locwrite(cl_writ(jf),rivrunoff, imjm,
      $          file_unit_field(jf), ierror) 
-c$$$            IF (jf.eq.12)
+            IF (jf.eq.12)
+     $          CALL locwrite(cl_writ(jf),calving, imjm,
+     $          file_unit_field(jf), ierror) 
+c$$$            IF (jf.eq.13)
 c$$$     $          CALL locwrite(cl_writ(jf),tauxu, imjm,
 c$$$     $          file_unit_field(jf),ierror) 
-c$$$            IF (jf.eq.13)
+c$$$            IF (jf.eq.1')
 c$$$     $          CALL locwrite(cl_writ(jf),tauxv, imjm,
 c$$$     $          file_unit_field(jf),ierror) 
-c$$$            IF (jf.eq.14)
+c$$$            IF (jf.eq.15)
 c$$$     $          CALL locwrite(cl_writ(jf),tauyv, imjm,
 c$$$     $          file_unit_field(jf),ierror) 
-c$$$            IF (jf.eq.15)
+c$$$            IF (jf.eq.16)
 c$$$     $          CALL locwrite(cl_writ(jf),tauyu, imjm,
 c$$$     $          file_unit_field(jf), ierror) 
-            IF (jf.eq.12)
+            IF (jf.eq.13)
      $          CALL locwrite(cl_writ(jf),tauxx_u, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.13)
+            IF (jf.eq.14)
      $          CALL locwrite(cl_writ(jf),tauyy_u, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.14)
+            IF (jf.eq.15)
      $          CALL locwrite(cl_writ(jf),tauzz_u, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.15)
+            IF (jf.eq.16)
      $          CALL locwrite(cl_writ(jf),tauxx_v, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.16)
+            IF (jf.eq.17)
      $          CALL locwrite(cl_writ(jf),tauyy_v, imjm,
      $          file_unit_field(jf),ierror)
-            IF (jf.eq.17)
+            IF (jf.eq.18)
      $          CALL locwrite(cl_writ(jf),tauzz_v, imjm,
      $          file_unit_field(jf),ierror)
@@ -519,14 +530,15 @@
           IF (jn.eq.10) CALL CLIM_Export(cl_writ(jn),kt,dirunoff, info)
           IF (jn.eq.11) CALL CLIM_Export(cl_writ(jn),kt,rivrunoff,info)
-c$$$          IF (jn.eq.12) CALL CLIM_Export(cl_writ(jn), kt, tauxu, info)
-c$$$          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauxv, info)
-c$$$          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauyv, info)
-c$$$          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauyu, info)
-          IF (jn.eq.12) CALL CLIM_Export(cl_writ(jn), kt, tauxx_u, info)
-          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauyy_u, info)
-          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauzz_u, info)
-          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauxx_v, info)
-          IF (jn.eq.16) CALL CLIM_Export(cl_writ(jn), kt, tauyy_v, info)
-          IF (jn.eq.17) CALL CLIM_Export(cl_writ(jn), kt, tauzz_v, info)
+          IF (jn.eq.12) CALL CLIM_Export(cl_writ(jn),kt,calving,info)
+c$$$          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauxu, info)
+c$$$          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauxv, info)
+c$$$          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauyv, info)
+c$$$          IF (jn.eq.16) CALL CLIM_Export(cl_writ(jn), kt, tauyu, info)
+          IF (jn.eq.13) CALL CLIM_Export(cl_writ(jn), kt, tauxx_u, info)
+          IF (jn.eq.14) CALL CLIM_Export(cl_writ(jn), kt, tauyy_u, info)
+          IF (jn.eq.15) CALL CLIM_Export(cl_writ(jn), kt, tauzz_u, info)
+          IF (jn.eq.16) CALL CLIM_Export(cl_writ(jn), kt, tauxx_v, info)
+          IF (jn.eq.17) CALL CLIM_Export(cl_writ(jn), kt, tauyy_v, info)
+          IF (jn.eq.18) CALL CLIM_Export(cl_writ(jn), kt, tauzz_v, info)
           
             IF (info .NE. CLIM_Ok) THEN