Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 395)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 397)
@@ -43,5 +43,5 @@
   real, allocatable, dimension(:),save    :: coastalflow, riverflow
 !!$PB
-  REAL, ALLOCATABLE, DIMENSION(:,:), SAVE :: tmp_rriv, tmp_rcoa
+!!  REAL, ALLOCATABLE, DIMENSION(:,:), SAVE :: tmp_rriv, tmp_rcoa
 !! pour simuler la fonte des glaciers antarctiques
   REAL, ALLOCATABLE, DIMENSION(:,:), SAVE :: coeff_iceberg
@@ -276,14 +276,14 @@
       endif
 !!$PB
-      ALLOCATE (tmp_rriv(iim,jjm+1), stat=error)
-      if (error /= 0) then
-        abort_message='Pb allocation tmp_rriv'
-        call abort_gcm(modname,abort_message,1)
-      endif
-      ALLOCATE (tmp_rcoa(iim,jjm+1), stat=error)
-      if (error /= 0) then
-        abort_message='Pb allocation tmp_rcoa'
-        call abort_gcm(modname,abort_message,1)
-      endif
+!!      ALLOCATE (tmp_rriv(iim,jjm+1), stat=error)
+! !     if (error /= 0) then
+!!        abort_message='Pb allocation tmp_rriv'
+ !!       call abort_gcm(modname,abort_message,1)
+!!      endif
+!!      ALLOCATE (tmp_rcoa(iim,jjm+1), stat=error)
+!!      if (error /= 0) then
+!!        abort_message='Pb allocation tmp_rcoa'
+!!        call abort_gcm(modname,abort_message,1)
+!!      endif
 !!$
     else if (size(coastalflow) /= knon) then
@@ -793,5 +793,5 @@
   real, dimension(klon) :: cdrag
 
-  include 'temps.inc'
+#include "temps.inc"
 
   if (check) write(*,*)'Entree ', modname
@@ -1022,8 +1022,8 @@
     bidule=0.
     bidule(1:knon)=riverflow(1:knon)
-    call gath2cpl(bidule, tmp_rriv, klon, knon,iim,jjm,ktindex)
+!    call gath2cpl(bidule, tmp_rriv, klon, knon,iim,jjm,ktindex)
     bidule=0.
     bidule(1:knon)=coastalflow(1:knon)
-    call gath2cpl(bidule, tmp_rcoa, klon, knon,iim,jjm,ktindex)
+!    call gath2cpl(bidule, tmp_rcoa, klon, knon,iim,jjm,ktindex)
     alb_new(1:knon) = albedo_out(1:knon,1) 
     alblw(1:knon) = albedo_out(1:knon,2)
@@ -1144,6 +1144,6 @@
   real, allocatable, dimension(:,:,:),save :: tmp_snow, tmp_evap, tmp_tsol
   real, allocatable, dimension(:,:,:),save :: tmp_fder, tmp_albe, tmp_taux
-!!$  real, allocatable, dimension(:,:,:),save :: tmp_tauy, tmp_rriv, tmp_rcoa
-  REAL, ALLOCATABLE, DIMENSION(:,:,:),SAVE :: tmp_tauy
+  real, allocatable, dimension(:,:,:),save :: tmp_tauy, tmp_rriv, tmp_rcoa
+!!  REAL, ALLOCATABLE, DIMENSION(:,:,:),SAVE :: tmp_tauy
 ! variables a passer au coupleur
   real, dimension(iim, jjm+1) :: wri_sol_ice, wri_sol_sea, wri_nsol_ice 
@@ -1181,7 +1181,7 @@
   REAL :: zx_lon(iim,jjm+1), zx_lat(iim,jjm+1), zjulian
   integer :: idayref, itau_w
-  include 'param_cou.h'
-  include 'inc_cpl.h'
-  include 'temps.inc'
+#include "param_cou.h"
+#include "inc_cpl.h"
+#include "temps.inc"
 !
 ! Initialisation
@@ -1336,13 +1336,13 @@
       cpl_tauy(ig,cpl_index) = cpl_tauy(ig,cpl_index) &
        &                          + tauy(ig)        / FLOAT(nexca)
-!!$      cpl_rriv(ig,cpl_index) = cpl_rriv(ig,cpl_index) &
-!!$       &                          + riverflow(ig)   / FLOAT(nexca)/dtime
-!!$      cpl_rcoa(ig,cpl_index) = cpl_rcoa(ig,cpl_index) &
-!!$       &                          + coastalflow(ig) / FLOAT(nexca)/dtime
+      cpl_rriv(ig,cpl_index) = cpl_rriv(ig,cpl_index) &
+       &                          + riverflow(ig)   / FLOAT(nexca)/dtime
+      cpl_rcoa(ig,cpl_index) = cpl_rcoa(ig,cpl_index) &
+       &                          + coastalflow(ig) / FLOAT(nexca)/dtime
     enddo
-    IF (cpl_index .EQ. 1) THEN 
-        cpl_rriv(:,:) = cpl_rriv(:,:) + tmp_rriv(:,:) / FLOAT(nexca)
-        cpl_rcoa(:,:) = cpl_rcoa(:,:) + tmp_rcoa(:,:) / FLOAT(nexca)
-    ENDIF
+!    IF (cpl_index .EQ. 1) THEN 
+!        cpl_rriv(:,:) = cpl_rriv(:,:) + tmp_rriv(:,:) / FLOAT(nexca)
+!       cpl_rcoa(:,:) = cpl_rcoa(:,:) + tmp_rcoa(:,:) / FLOAT(nexca)
+!    ENDIF
   endif
 
@@ -1442,6 +1442,6 @@
       allocate(tmp_taux(iim,jjm+1,2), stat=error); sum_error = sum_error + error
       allocate(tmp_tauy(iim,jjm+1,2), stat=error); sum_error = sum_error + error
-!!$      allocate(tmp_rriv(iim,jjm+1,2), stat=error); sum_error = sum_error + error
-!!$      allocate(tmp_rcoa(iim,jjm+1,2), stat=error); sum_error = sum_error + error
+      allocate(tmp_rriv(iim,jjm+1,2), stat=error); sum_error = sum_error + error
+      allocate(tmp_rcoa(iim,jjm+1,2), stat=error); sum_error = sum_error + error
       if (sum_error /= 0) then
         abort_message='Pb allocation variables couplees pour l''ecriture'
@@ -1465,6 +1465,6 @@
     call gath2cpl(cpl_taux(1,cpl_index), tmp_taux(1,1,cpl_index), klon, knon,iim,jjm,                  knindex)
     call gath2cpl(cpl_tauy(1,cpl_index), tmp_tauy(1,1,cpl_index), klon, knon,iim,jjm,                  knindex)
-!!$    call gath2cpl(cpl_rriv(1,cpl_index), tmp_rriv(1,1,cpl_index), klon, knon,iim,jjm,                  knindex)
-!!$    call gath2cpl(cpl_rcoa(1,cpl_index), tmp_rcoa(1,1,cpl_index), klon, knon,iim,jjm,                  knindex)
+    call gath2cpl(cpl_rriv(1,cpl_index), tmp_rriv(1,1,cpl_index), klon, knon,iim,jjm,                  knindex)
+    call gath2cpl(cpl_rcoa(1,cpl_index), tmp_rcoa(1,1,cpl_index), klon, knon,iim,jjm,                  knindex)
 
 !
@@ -1495,8 +1495,8 @@
       &            tmp_snow(:,:,2) * tamp_srf(:,:,2) / deno
 !!$PB
-!!$        wri_rriv = tmp_rriv(:,:,1) * tamp_srf(:,:,1) / deno +    &
-!!$      &            tmp_rriv(:,:,2) * tamp_srf(:,:,2) / deno
-!!$        wri_rcoa = tmp_rcoa(:,:,1) * tamp_srf(:,:,1) / deno +    &
-!!$      &            tmp_rcoa(:,:,2) * tamp_srf(:,:,2) / deno
+        wri_rriv = tmp_rriv(:,:,1) * tamp_srf(:,:,1) / deno +    &
+      &            tmp_rriv(:,:,2) * tamp_srf(:,:,2) / deno
+        wri_rcoa = tmp_rcoa(:,:,1) * tamp_srf(:,:,1) / deno +    &
+      &            tmp_rcoa(:,:,2) * tamp_srf(:,:,2) / deno
         wri_taux = tmp_taux(:,:,1) * tamp_srf(:,:,1) / deno +    &
       &            tmp_taux(:,:,2) * tamp_srf(:,:,2) / deno
@@ -1583,6 +1583,6 @@
       deallocate(tmp_tauy, stat=error); sum_error = sum_error + error
 !!$PB
-!!$      deallocate(tmp_rriv, stat=error); sum_error = sum_error + error
-!!$      deallocate(tmp_rcoa, stat=error); sum_error = sum_error + error
+      deallocate(tmp_rriv, stat=error); sum_error = sum_error + error
+      deallocate(tmp_rcoa, stat=error); sum_error = sum_error + error
       if (sum_error /= 0) then
         abort_message='Pb deallocation variables couplees'
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 395)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 397)
@@ -15,5 +15,5 @@
       SUBROUTINE inicma(kastp,kexch,kstep,imjm)
 c
-c     INCLUDE 'param.h'
+c     INCLUDE "param.h"
 c
       INTEGER kastp, kexch, kstep,imjm
@@ -21,6 +21,6 @@
       INTEGER ifcpl, idt, info, imxtag, istep, jf
 c
-      INCLUDE 'param_cou.h'
-      INCLUDE 'inc_cpl.h'
+#include "param_cou.h"
+#include "inc_cpl.h"
       CHARACTER*3 cljobnam      ! experiment name
       CHARACTER*6 clmodnam      ! model name
@@ -37,8 +37,8 @@
       PARAMETER (nuout = 6)
 c
-      INCLUDE 'clim.h'
-      INCLUDE 'mpiclim.h'
-c
-      INCLUDE 'oasis.h' ! contains the name of communication technique. Here
+#include "clim.h"
+#include "mpiclim.h"
+c
+#include "oasis.h"      ! contains the name of communication technique. Here
                         ! cchan=CLIM only is possible.
 c			! ctype=MPI2
@@ -268,10 +268,10 @@
       INTEGER info, jf
 c
-      INCLUDE 'clim.h'
-c
-      INCLUDE 'oasis.h'
-      INCLUDE 'param_cou.h'
-c
-      INCLUDE 'inc_cpl.h'
+#include "clim.h"
+c
+#include "oasis.h"
+#include "param_cou.h"
+c
+#include "inc_cpl.h"
 c
 c
@@ -346,7 +346,7 @@
       PARAMETER (nuout = 6)
 c
-      INCLUDE 'clim.h'
-      INCLUDE 'param_cou.h'
-      INCLUDE 'inc_cpl.h'
+#include "clim.h"
+#include "param_cou.h"
+#include "inc_cpl.h"
 c
       CHARACTER*8 file_name(jpmaxfld)
@@ -358,5 +358,5 @@
       LOGICAL trouve
 c
-      INCLUDE 'oasis.h'
+#include "oasis.h"
 c
       icstep=kt 
@@ -554,19 +554,4 @@
       END
 
-      SUBROUTINE halte
-      print *, 'Attention dans oasis.F, halte est non defini'
-      RETURN
-      END
-
-      SUBROUTINE locread
-      print *, 'Attention dans oasis.F, locread est non defini'
-      RETURN
-      END
-
-      SUBROUTINE locwrite
-      print *, 'Attention dans oasis.F, locwrite est non defini'
-      RETURN
-      END
-
       SUBROUTINE pipe_model_define
       print*,'Attention dans oasis.F, pipe_model_define est non defini'
@@ -589,54 +574,4 @@
       END
 
-      SUBROUTINE clim_stepi
-      print *, 'Attention dans oasis.F, clim_stepi est non defini'
-      RETURN
-      END
-
-      SUBROUTINE clim_start
-      print *, 'Attention dans oasis.F, clim_start est non defini'
-      RETURN
-      END
-
-      SUBROUTINE clim_import
-      print *, 'Attention dans oasis.F, clim_import est non defini'
-      RETURN
-      END
-
-      SUBROUTINE clim_export
-      print *, 'Attention dans oasis.F, clim_export est non defini'
-      RETURN
-      END
-
-      SUBROUTINE clim_init
-      print *, 'Attention dans oasis.F, clim_init est non defini'
-      RETURN
-      END
-
-      SUBROUTINE clim_define
-      print *, 'Attention dans oasis.F, clim_define est non defini'
-      RETURN
-      END
-
-      SUBROUTINE clim_quit
-      print *, 'Attention dans oasis.F, clim_quit est non defini'
-      RETURN
-      END
-
-      SUBROUTINE svipc_write
-      print *, 'Attention dans oasis.F, svipc_write est non defini'
-      RETURN
-      END
-
-      SUBROUTINE svipc_close
-      print *, 'Attention dans oasis.F, svipc_close est non defini'
-      RETURN
-      END
-
-      SUBROUTINE svipc_read
-      print *, 'Attention dans oasis.F, svipc_read est non defini'
-      RETURN
-      END
-
       SUBROUTINE quitcpl
       print *, 'Attention dans oasis.F, quitcpl est non defini'
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.true
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.true	(revision 395)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.true	(revision 397)
@@ -15,5 +15,5 @@
       SUBROUTINE inicma(kastp,kexch,kstep,imjm)
 c
-c     INCLUDE 'param.h'
+c     INCLUDE "param.h"
 c
       INTEGER kastp, kexch, kstep,imjm
@@ -21,6 +21,6 @@
       INTEGER ifcpl, idt, info, imxtag, istep, jf
 c
-      INCLUDE 'param_cou.h'
-      INCLUDE 'inc_cpl.h'
+#include "param_cou.h"
+#include "inc_cpl.h"
       CHARACTER*3 cljobnam      ! experiment name
       CHARACTER*6 clmodnam      ! model name
@@ -37,8 +37,8 @@
       PARAMETER (nuout = 6)
 c
-      INCLUDE 'clim.h'
-      INCLUDE 'mpiclim.h'
-c
-      INCLUDE 'oasis.h' ! contains the name of communication technique. Here
+#include "clim.h"
+#include "mpiclim.h"
+c
+#include "oasis.h"      ! contains the name of communication technique. Here
                         ! cchan=CLIM only is possible.
 c			! ctype=MPI2
@@ -268,10 +268,10 @@
       INTEGER info, jf
 c
-      INCLUDE 'clim.h'
-c
-      INCLUDE 'oasis.h'
-      INCLUDE 'param_cou.h'
-c
-      INCLUDE 'inc_cpl.h'
+#include "clim.h"
+c
+#include "oasis.h"
+#include "param_cou.h"
+c
+#include "inc_cpl.h"
 c
 c
@@ -346,7 +346,7 @@
       PARAMETER (nuout = 6)
 c
-      INCLUDE 'clim.h'
-      INCLUDE 'param_cou.h'
-      INCLUDE 'inc_cpl.h'
+#include "clim.h"
+#include "param_cou.h"
+#include "inc_cpl.h"
 c
       CHARACTER*8 file_name(jpmaxfld)
@@ -358,5 +358,5 @@
       LOGICAL trouve
 c
-      INCLUDE 'oasis.h'
+#include "oasis.h"
 c
       icstep=kt 
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/param_cou.h
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/param_cou.h	(revision 395)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/param_cou.h	(revision 397)
@@ -7,5 +7,5 @@
                                         ! between ocean and atmosphere
 	INTEGER jpflda2o1
-	PARAMETER(jpflda2o1 = 11)         ! Number of fields exchanged from
+	PARAMETER(jpflda2o1 = 12)         ! Number of fields exchanged from
                                          ! atmosphere to ocean via flx.F
 	INTEGER jpflda2o2