Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/ini_histmth.h	(revision 439)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/ini_histmth.h	(revision 440)
@@ -60,7 +60,13 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "qsol", "Surface humidity", "mm",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+         CALL histdef(nid_mth, "qsurf", "Surface Air humidity", "Kg/Kg",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
+c
+      if (.not. ok_veget) then
+         CALL histdef(nid_mth, "qsol", "Soil watter content", "mm",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
+      endif
 c
          CALL histdef(nid_mth, "precip", "Precipitation Totale liq+sol", 
@@ -193,5 +199,5 @@
 c
            call histdef(nid_mth, "albe_"//clnsurf(nsrf), 
-     $         "Albedo surf. "//clnsurf(nsrf), "W/m2",  
+     $         "Albedo surf. "//clnsurf(nsrf), "-",  
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zsto,zout)
@@ -514,40 +520,4 @@
      .                iim,jjmp1,nhori, 1,1,1,-99,
      .                32, "ave(X)", zsto,zout)
-
-c Champs interpolles sur des niveaux de pression
-
-         CALL histdef(nid_mth, "u850", "Zonal wind 850mb", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-         CALL histdef(nid_mth, "v850", "Meridional wind 850mb", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "u500", "Zonal wind 500mb", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-         CALL histdef(nid_mth, "v500", "Meridional wind 500mb", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-         CALL histdef(nid_mth, "u200", "Zonal wind 200mb", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-         CALL histdef(nid_mth, "v200", "Meridional wind 200mb", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-         CALL histdef(nid_mth, "phi500","Geopotentiel à 500mb","m2/s2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-         CALL histdef(nid_mth, "w500", "Vertical wind 500mb", "Pa/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-
-
 c
          CALL histdef(nid_mth, "SWdnSFCclr", 
@@ -555,4 +525,39 @@
      .                iim,jjmp1,nhori, 1,1,1,-99,
      .                32, "ave(X)", zsto,zout)
+c Champs interpolles sur des niveaux de pression
+
+         CALL histdef(nid_mth, "u850", "Zonal wind 850mb", "m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "v850", "Meridional wind 850mb", "m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "u500", "Zonal wind 500mb", "m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "v500", "Meridional wind 500mb", "m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "u200", "Zonal wind 200mb", "m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "v200", "Meridional wind 200mb", "m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "phi500","Geopotentiel à 500mb","m2/s2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "w500", "Vertical wind 500mb", "Pa/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+
+
       ENDIF
 c34EK